package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class EmployeeClientBean {

    @Autowired
    EmployeeDao employeeDao;

    public void run() {
        List<Employee> persons = employeeDao.loadAll();
        System.out.println("Loaded employees: "+persons);

        List<Employee> allManagers = employeeDao.getAllManagers();
        System.out.println("All Managers: "+allManagers);
    }
}